package simpleencodings

// MacRoman is the MacRoman encoding.
var MacRoman = Encoding{
	32:  "space",
	33:  "exclam",
	34:  "quotedbl",
	35:  "numbersign",
	36:  "dollar",
	37:  "percent",
	38:  "ampersand",
	39:  "quotesingle",
	40:  "parenleft",
	41:  "parenright",
	42:  "asterisk",
	43:  "plus",
	44:  "comma",
	45:  "hyphen",
	46:  "period",
	47:  "slash",
	48:  "zero",
	49:  "one",
	50:  "two",
	51:  "three",
	52:  "four",
	53:  "five",
	54:  "six",
	55:  "seven",
	56:  "eight",
	57:  "nine",
	58:  "colon",
	59:  "semicolon",
	60:  "less",
	61:  "equal",
	62:  "greater",
	63:  "question",
	64:  "at",
	65:  "A",
	66:  "B",
	67:  "C",
	68:  "D",
	69:  "E",
	70:  "F",
	71:  "G",
	72:  "H",
	73:  "I",
	74:  "J",
	75:  "K",
	76:  "L",
	77:  "M",
	78:  "N",
	79:  "O",
	80:  "P",
	81:  "Q",
	82:  "R",
	83:  "S",
	84:  "T",
	85:  "U",
	86:  "V",
	87:  "W",
	88:  "X",
	89:  "Y",
	90:  "Z",
	91:  "bracketleft",
	92:  "backslash",
	93:  "bracketright",
	94:  "asciicircum",
	95:  "underscore",
	96:  "grave",
	97:  "a",
	98:  "b",
	99:  "c",
	100: "d",
	101: "e",
	102: "f",
	103: "g",
	104: "h",
	105: "i",
	106: "j",
	107: "k",
	108: "l",
	109: "m",
	110: "n",
	111: "o",
	112: "p",
	113: "q",
	114: "r",
	115: "s",
	116: "t",
	117: "u",
	118: "v",
	119: "w",
	120: "x",
	121: "y",
	122: "z",
	123: "braceleft",
	124: "bar",
	125: "braceright",
	126: "asciitilde",
	128: "Adieresis",
	129: "Aring",
	130: "Ccedilla",
	131: "Eacute",
	132: "Ntilde",
	133: "Odieresis",
	134: "Udieresis",
	135: "aacute",
	136: "agrave",
	137: "acircumflex",
	138: "adieresis",
	139: "atilde",
	140: "aring",
	141: "ccedilla",
	142: "eacute",
	143: "egrave",
	144: "ecircumflex",
	145: "edieresis",
	146: "iacute",
	147: "igrave",
	148: "icircumflex",
	149: "idieresis",
	150: "ntilde",
	151: "oacute",
	152: "ograve",
	153: "ocircumflex",
	154: "odieresis",
	155: "otilde",
	156: "uacute",
	157: "ugrave",
	158: "ucircumflex",
	159: "udieresis",
	160: "dagger",
	161: "degree",
	162: "cent",
	163: "sterling",
	164: "section",
	165: "bullet",
	166: "paragraph",
	167: "germandbls",
	168: "registered",
	169: "copyright",
	170: "trademark",
	171: "acute",
	172: "dieresis",
	173: "notequal",
	174: "AE",
	175: "Oslash",
	176: "infinity",
	177: "plusminus",
	178: "lessequal",
	179: "greaterequal",
	180: "yen",
	181: "mu",
	182: "partialdiff",
	183: "summation",
	184: "product",
	185: "pi",
	186: "integral",
	187: "ordfeminine",
	188: "ordmasculine",
	189: "Omega",
	190: "ae",
	191: "oslash",
	192: "questiondown",
	193: "exclamdown",
	194: "logicalnot",
	195: "radical",
	196: "florin",
	197: "approxequal",
	198: "Delta",
	199: "guillemotleft",
	200: "guillemotright",
	201: "ellipsis",
	202: "space",
	203: "Agrave",
	204: "Atilde",
	205: "Otilde",
	206: "OE",
	207: "oe",
	208: "endash",
	209: "emdash",
	210: "quotedblleft",
	211: "quotedblright",
	212: "quoteleft",
	213: "quoteright",
	214: "divide",
	215: "lozenge",
	216: "ydieresis",
	217: "Ydieresis",
	218: "fraction",
	219: "currency",
	220: "guilsinglleft",
	221: "guilsinglright",
	222: "fi",
	223: "fl",
	224: "daggerdbl",
	225: "periodcentered",
	226: "quotesinglbase",
	227: "quotedblbase",
	228: "perthousand",
	229: "Acircumflex",
	230: "Ecircumflex",
	231: "Aacute",
	232: "Edieresis",
	233: "Egrave",
	234: "Iacute",
	235: "Icircumflex",
	236: "Idieresis",
	237: "Igrave",
	238: "Oacute",
	239: "Ocircumflex",
	240: "apple",
	241: "Ograve",
	242: "Uacute",
	243: "Ucircumflex",
	244: "Ugrave",
	245: "dotlessi",
	246: "circumflex",
	247: "tilde",
	248: "macron",
	249: "breve",
	250: "dotaccent",
	251: "ring",
	252: "cedilla",
	253: "hungarumlaut",
	254: "ogonek",
	255: "caron",
}
